Skip to main content
GET
/
affiliates
/
reporting
/
conversions
/
{conversionId}
Get Conversion By ID
curl --request GET \
  --url https://api.eflow.team/v1/affiliates/reporting/conversions/{conversionId} \
  --header 'X-Eflow-Api-Key: <api-key>'
{
  "conversion_id": "<string>",
  "transaction_id": "<string>",
  "conversion_unix_timestamp": 123,
  "click_unix_timestamp": 123,
  "revenue": 123,
  "sale_amount": 123,
  "event": "<string>",
  "is_event": true,
  "source_id": "<string>",
  "revenue_type": "<string>",
  "sub1": "<string>",
  "sub2": "<string>",
  "sub3": "<string>",
  "sub4": "<string>",
  "sub5": "<string>",
  "adv1": "<string>",
  "adv2": "<string>",
  "adv3": "<string>",
  "adv4": "<string>",
  "adv5": "<string>",
  "session_user_ip": "<string>",
  "conversion_user_ip": "<string>",
  "country": "<string>",
  "region": "<string>",
  "city": "<string>",
  "dma": 123,
  "carrier": "<string>",
  "isp": "<string>",
  "platform": "<string>",
  "os_version": "<string>",
  "device_type": "<string>",
  "brand": "<string>",
  "browser": "<string>",
  "language": "<string>",
  "http_user_agent": "<string>",
  "referer": "<string>",
  "app_id": "<string>",
  "idfa": "<string>",
  "idfa_md5": "<string>",
  "idfa_sha1": "<string>",
  "google_ad_id": "<string>",
  "google_ad_id_md5": "<string>",
  "google_ad_id_sha1": "<string>",
  "android_id": "<string>",
  "android_id_md5": "<string>",
  "android_id_sha1": "<string>",
  "currency_id": "<string>",
  "is_view_through": true,
  "order_id": "<string>",
  "coupon_code": "<string>",
  "relationship": {
    "offer": {
      "network_offer_id": 123,
      "network_id": 123,
      "network_tracking_domain_id": 123,
      "name": "<string>",
      "offer_status": "<string>"
    },
    "events_count": 123
  }
}

Authorizations

X-Eflow-Api-Key
string
header
required

The affiliate's API key generated from the Affiliate Portal. Uses the same X-Eflow-Api-Key header as the Network API, but the key belongs to the affiliate user rather than the network admin.

Path Parameters

conversionId
integer
required

The numeric ID of the conversion.

Response

conversion_id
string

Unique conversion identifier.

transaction_id
string
conversion_unix_timestamp
integer
click_unix_timestamp
integer
revenue
number
sale_amount
number
event
string

Event name (for post-conversion events).

is_event
boolean
source_id
string
revenue_type
string
sub1
string
sub2
string
sub3
string
sub4
string
sub5
string
adv1
string
adv2
string
adv3
string
adv4
string
adv5
string
session_user_ip
string
conversion_user_ip
string
country
string
region
string
city
string
dma
integer
carrier
string
isp
string
platform
string
os_version
string
device_type
string
brand
string
browser
string
language
string
http_user_agent
string
referer
string
app_id
string
idfa
string
idfa_md5
string
idfa_sha1
string
google_ad_id
string
google_ad_id_md5
string
google_ad_id_sha1
string
android_id
string
android_id_md5
string
android_id_sha1
string
currency_id
string
is_view_through
boolean
order_id
string
coupon_code
string
relationship
object